#
# spec file for package perl-Devel-PatchPerl
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Devel-PatchPerl
Name:           perl-Devel-PatchPerl
Version:        2.80.0
Release:        1.2
# 2.08 -> normalize -> 2.80.0
%define cpan_version 2.08
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Patch perl source a la Devel::PPPort's buildperl.pl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::pushd) >= 1.0.0
BuildRequires:  perl(Module::Pluggable)
Requires:       perl(File::pushd) >= 1.0.0
Requires:       perl(Module::Pluggable)
Provides:       perl(Devel::PatchPerl) = %{version}
Provides:       perl(Devel::PatchPerl::Hints) = %{version}
Provides:       perl(Devel::PatchPerl::Plugin) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
Devel::PatchPerl is a modularisation of the patching code contained in
Devel::PPPort's 'buildperl.pl'.

It does not build perls, it merely provides an interface to the source
patching functionality.

%prep
%autosetup -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Thu Jun 12 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Tue Jan 12 2021 Tina Müller <timueller+perl@suse.de>
- updated to 2.08
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Thu Dec 24 2020 Tina Müller <timueller+perl@suse.de>
- updated to 2.06
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Sat Nov 21 2020 Tina Müller <timueller+perl@suse.de>
- updated to 2.04
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Mon Nov  9 2020 Tina Müller <timueller+perl@suse.de>
- updated to 2.02
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Fri Jun  5 2020 Tina Müller <timueller+perl@suse.de>
- updated to 2.00
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Tue May 26 2020 Tina Müller <timueller+perl@suse.de>
  updated to 1.98
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Tue Apr 28 2020 <timueller+perl@suse.de>
- updated to 1.92
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Thu Mar 12 2020 <timueller+perl@suse.de>
- updated to 1.90
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Wed Feb  5 2020 <timueller+perl@suse.de>
- updated to 1.86
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Wed Jan 29 2020 <timueller+perl@suse.de>
- updated to 1.84
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Wed Nov 20 2019 <timueller+perl@suse.de>
- updated to 1.80
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Fri Nov 15 2019 <timueller+perl@suse.de>
- updated to 1.78
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Mon Nov 11 2019 <timueller+perl@suse.de>
- updated to 1.76
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Thu Nov  7 2019 <timueller+perl@suse.de>
- updated to 1.66
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Sun Jun 16 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.64
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Mon Jun  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.62
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Wed May 15 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.60
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Sun Apr 28 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.58
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Wed Mar 13 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.56
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Tue Feb 19 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.54
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Sun Jun 24 2018 coolo@suse.com
- updated to 1.52
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Mon Feb 13 2017 coolo@suse.com
- updated to 1.48
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Wed Nov 23 2016 coolo@suse.com
- updated to 1.46
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Fri Aug 19 2016 coolo@suse.com
- updated to 1.44
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Thu May  5 2016 coolo@suse.com
- updated to 1.42
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Thu Dec 17 2015 coolo@suse.com
- updated to 1.40
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Sat Jul  4 2015 coolo@suse.com
- updated to 1.38
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Sun Apr 26 2015 coolo@suse.com
- updated to 1.34
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.32
  see /usr/share/doc/packages/perl-Devel-PatchPerl/Changes
* Wed Sep 17 2014 coolo@suse.com
- updated to 1.24
    Add COW speedup fix for v5.20.0
    http://perl5.git.perl.org/perl.git/commit/ce861ea79
    Look for gpatch if patch is not found
* Mon Feb 24 2014 coolo@suse.com
- updated to 1.18
  Update included hints to v5.19.9 level
* Mon Feb 24 2014 coolo@suse.com
- updated to 1.16
    add extra phony targets to help case insensitive file systems
    Configure should check same Berkeley DB header DB_File uses
* Mon Nov 25 2013 coolo@suse.com
- updated to 1.14
  RT#89635 Configure on 5.6 uses sort +N, which isn't supported by
  modern sort(1)
  The two instances of 'sort -n +1' in Configure on perl 5.6 need to be
  replaced with the portable equivalent used since perl 5.7.3:
  ($sort -n -k 2 2>/dev/null || $sort -n +1)
  This works on both old and new sorts.
  better gconvert detection
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.12
    Add GNU/Hurd hints file
    Only try to change perms if the hints file already exists
    Support Bitrig all the way back to at least v5.8.9
    Fix issues with Bitrig patch and version normalisation
    Remove Test::Compile from dzil configuration
* Sat Jul 27 2013 coolo@suse.com
- updated to 1.00
    Set PATCH_GET env var to 0 to stop patch doing VCS madness
    Fix issues with patching Configure under Solaris
    https://github.com/gugod/App-perlbrew/issues/355
* Tue Jul 16 2013 coolo@suse.com
- updated to 0.96
    Fix patch applying for v5.18.0
    Fixes a regmatch pointer 32-bit wraparound regression in v5.18.0
    Update Midnight BSD hints for 0.4-RELEASE
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.90, see Changes
* Mon Feb 13 2012 coolo@suse.com
- updated to 0.66
  - Added cygwin hints file
  - Added a plugin system
* Sun Dec 25 2011 coolo@suse.de
- updated to 0.62, see Changes
* Wed Apr 27 2011 coolo@opensuse.org
- initial package 0.30
  * created by cpanspec 1.78.04
